Page MenuHomePhabricator

Rename 'Mark all pages as Visited" button to "Mark all changes as Seen" and put in the new UI style
Closed, ResolvedPublic

Description

The Watchlist includes a "Mark all pages as visited" link that does just what the name says. We should

  • Replace the existing link with one in the new style. See design below.
  • Change the name to "Mark all changes as seen" so that the name matches the new "Seen changes" / "Unseen changes" filters in the Watchlist Activity group. T171127

Question: on the functionality: Say you're filtering for "Unseen." So the whole list is unseen. Then you Mark all as Seen. Does the page immediately update to empty out? If it's not too hard, that would be cool, not to mention consistent.

  • The icon used is the "doubleCheck" icon used on the Notifications page for a similar purpose.
  • The button will be shown as disabled if there are no pages to be marked as visited.

Details

Related Gerrit Patches:

Related Objects

StatusAssignedTask
OpenNone
OpenNone
OpenNone
Declined Mattflaschen-WMF
Declined Mattflaschen-WMF
DeclinedNone
ResolvedEsanders
OpenNone
OpenNone
OpenNone
ResolvedCatrope
ResolvedDannyH
ResolvedDannyH
OpenNone
ResolvedCatrope
ResolvedSBisson

Event Timeline

Pginer-WMF updated the task description. (Show Details)Jul 20 2017, 10:38 AM
jmatazzoni renamed this task from Change 'Mark as Visited" button to the new UI style to Rename 'Mark all pages as Visited" button to "Mark all changes as Seen" and put in the new UI style.Jul 27 2017, 1:41 AM
jmatazzoni updated the task description. (Show Details)
jmatazzoni removed Pginer-WMF as the assignee of this task.Jul 28 2017, 5:10 PM

On the button name, I suppose we could make our life easier by just changing the filter names: "Unvisited" instead of "Unseen"

Watchlist activity

Unseen changes
Changes to pages you haven't visited since the changes occurred.
Seen changes
Changes to pages you have visited since the changes occurred.

Watchlist activity

Unvisited changes
Changes to pages you haven't visited since the changes occurred.
Visited changes
Changes to pages you have visited since the changes occurred.

This also shows up in T172030, because we would standardize the legend to "Unseen. Anyway, seeing this, I really don't like "Unvisited changes," even though it is more accurate.

On the button name, I suppose we could make our life easier by just changing the filter names: "Unvisited" instead of "Unseen"
...
This also shows up in T172030, because we would standardize the legend to "Unseen. Anyway, seeing this, I really don't like "Unvisited changes," even though it is more accurate.

I see two aspects to consider here:

  1. We will be changing an established term in the users mind for a new one. And even if the change is for the better, it may not be obvious for a user that thinks about these pages as "visited" that the "seen" filter refers to them.
  2. The seen/unseen status is associated with the page not the individual change. This is visible when a user clicks on a specific change, goes back to the list and realises that this change and all other changes about the same page are no longer in bold. This does not make much difference for the "mark all" actions since all items will be marked as visited anyway, but presenting the seen/unseen concept associated too directly with the changes may affect how people understand the filters.

I don't see these as deal breakers but something to take into account and verify with users (especially with the filters more than the action). In any case, trying these things is what beta is for.

Pginer-WMF updated the task description. (Show Details)Jul 31 2017, 8:11 AM

Change 372534 had a related patch set uploaded (by Sbisson; owner: Sbisson):
[mediawiki/core@master] WLFilters: convert mark as seen button to new style

https://gerrit.wikimedia.org/r/372534

Change 372534 merged by jenkins-bot:
[mediawiki/core@master] WLFilters: convert mark as seen button to new style

https://gerrit.wikimedia.org/r/372534

Say you're filtering for "Unseen." So the whole list is unseen. Then you Mark all as Seen. Does the page immediately update to empty out? If it's not too hard, that would be cool, not to mention consistent.

Yes, this has been implemented - the standard message is displayed.

Checked all specs - the functionality works as expected (there is a bug not directly related to this ticket: T174100: Watchlist: watchlistactivity=seen does not display seen changes)

Should we consider the following comments @Pginer-WMF?

We will be changing an established term in the users mind for a new one.[...]
The seen/unseen status is associated with the page not the individual change. [...]

QA Recommendation: Product should weigh in

jmatazzoni closed this task as Resolved.Aug 24 2017, 9:20 PM

Checked all specs - the functionality works as expected (there is a bug not directly related to this ticket: T174100: Watchlist: watchlistactivity=seen does not display seen changes)
Should we consider the following comments @Pginer-WMF?

We will be changing an established term in the users mind for a new one.[...]
The seen/unseen status is associated with the page not the individual change. [...]

QA Recommendation: Product should weigh in

I see the point, thanks, but I checked with James and he is comfortable with the Seen/Unseen terminology. So I am comfortable too! Closing this.